Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě čte: 9500 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum

NápovědaCAD diskuze

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit a dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Multiodkaz - písmo s diakritiko

 Odpovědět Odpovědět archiv
Autor
jeniksedlacek Zobrazit panel
Nováček
Nováček

Přihlášen: 18.dub.2005
Lokalita: ČR (PA)
Používám:
AutoCad, Inventor
Stav: Offline
Bodů: 7
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace jeniksedlacek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Multiodkaz - písmo s diakritiko
    Zasláno: 09.pro.2017 v 21:14
Dobrý den,
jak udělat, když v AutoCadu vkládám Multiodkaz, tak pokud je text bez diakritiky, tak se krásně udělá mezi textem a "praporkem", tedy podtržením textu mezera. Ale pokud udělám text s "háčky a čárkami", tak se text posune na čáru pod textem.
Jedná se o AutoCad 2018 standardně nainstalovaný, žádné změny ve stylech a písmech.
Děkuji za pomoc
Honza
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 16830
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.pro.2017 v 22:39
Zkuste ve stylu multiodkazu (nebo ve Vlastnostech) změnit zarovnání, resp. uchycení vlevo/vpravo z "Polovina horního řádku" na "Polovina dolního řádku".
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
jeniksedlacek Zobrazit panel
Nováček
Nováček

Přihlášen: 18.dub.2005
Lokalita: ČR (PA)
Používám:
AutoCad, Inventor
Stav: Offline
Bodů: 7
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace jeniksedlacek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.pro.2017 v 23:21
Dobrý den,
děkuji za odpověď a pomoc, ale nefunguje to.
Honza
Zpět nahoru
Mara821 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 18.zář.2007
Lokalita: ČR (LB)
Používám:
AutoCAD 2018
Stav: Offline
Bodů: 11
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Mara821 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 10.pro.2017 v 20:41
Zkuste změnit řádkování (lane space style) z "nejméně" na "přesně" ve vlastnostech. 
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 16830
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 10.pro.2017 v 21:39
Pan Sedláček píše, že nedělá změny stylu. Pokud je přeci jen styl změněn - na podtržení praporkem, pak opravdu pomůže změna řádkování, popř. tip http://www.cadforum.cz/cadforum/jak-zvetsit-odsazeni-textu-modkazu-od-podtrzeni-tip7187
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
jeniksedlacek Zobrazit panel
Nováček
Nováček

Přihlášen: 18.dub.2005
Lokalita: ČR (PA)
Používám:
AutoCad, Inventor
Stav: Offline
Bodů: 7
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace jeniksedlacek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 11.pro.2017 v 16:39
Dobrý den,
děkuji moc, toto ((lane space style) z "nejméně" na "přesně" ve vlastnostech.) pomohlo. 
PS. ale jak to udělat, aby to dělalo pořád. Jistě, že si pomohu funkcí "kopírovat vlastnosti", ale jsem tvor líný,... :-)

Honza
Zpět nahoru
Mara821 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 18.zář.2007
Lokalita: ČR (LB)
Používám:
AutoCAD 2018
Stav: Offline
Bodů: 11
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Mara821 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 11.pro.2017 v 20:55
Ve stylu multiodkazu jsem tohle nastavení nenašel, tak používám tenhle lisp:

(vl-load-com)
;;; command to load or unload reactor
(defun c:mleaderLineSpace (/ def opt)
  (if *mleaderLineSpace*
    (setq def "OFF")
    (setq def "ON")
  )
  (initget "ON OFF")
  (setq
    opt (cond
  ((getkword (strcat "\nEnter an option [ON/OFF]<" def ">")))
  (def)
)
  )
  (cond ((eq opt "ON")
(MLS:start)
)
((eq opt "OFF")
(MLS:stop)
)
  )
  (princ)
)
;;; load reactor
(defun MLS:start (/)
  (if *mleaderLineSpace*
    (vlr-remove *mleaderLineSpace*)
  )
  (setq *mleaderLineSpace*
(vlr-command-reactor
   nil
   '((:vlr-commandended . MLS:CommandEnded)
    )
)
  )
  (princ "\nMleaderLineSpace reactor has been loaded. ")
)
;;; unload reactor
(defun MLS:stop (/)
  (if *mleaderLineSpace*
    (progn (vlr-remove *mleaderLineSpace*)
   (setq *mleaderLineSpace* nil)
   (princ "\nMleaderLineSpace reactor has been stopped.")
    )
  )
)


;;; when command ends
(defun MLS:CommandEnded (rea cmd / doc obx)
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (setq cmd (strcase (car cmd)))
  (cond
    ;; leader
    ((eq cmd "MLEADER")
     (setq obx (vlax-ename->vla-object (entlast)))
     (vla-put-textLineSpacingStyle obx acLineSpacingStyleExactly)
     (vla-put-dogLegged obx :vlax-false)
    )
  )  
)
;;; autoload
(MLS:start)

Stačí uložit jako soubor *.lsp a nahrát do aktovky. Lisp se po spuštění výkresu nahraje automaticky, vypnout lze přes příkaz "mleaderLineSpace".
Upraví to ale u každého udělaného multiodkazu.
Kdyžtak si smažte řádek s (vla-put-dogLegged obx :vlax-false)to upravuje "Horizontal landing" (česky ekvivalent si už nepamatuju) na "Ne", tuhle vlastnost jsem taky nenašel v nastavení stylu, tak se Vám bude možná hodit. Vypne se ta šipka na prodlužování vodorovné čáry.

Edit: Teď mě ještě tak napadá, že to nemusí fungovat v české verzi. Kdyžtak zkuste ten konec nahradit tímto:
;;; when command ends
(defun MLS:CommandEnded (rea cmd / doc obx)
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (setq cmd (strcase (car cmd)))
  (cond
    ;; leader
    ((eq cmd "MODKAZ")
     (setq obx (vlax-ename->vla-object (entlast)))
     (vla-put-textLineSpacingStyle obx acLineSpacingStyleExactly)
     (vla-put-dogLegged obx :vlax-false)
    )
  )  
)
;;; autoload
(MLS:start)


Upravil Mara821 - 11.pro.2017 v 21:07
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 244:Čeština, azbuka, atd. v AutoCADu R14 a vyšších.
Tip 7040:Jak zadat multiodkaz s ostrým zalomením?
Tip 5954:Znáte příkazy PŘIDATUPRAVCÍLODKAZ a ODSTRUPRAVCÍLODKAZ?
Tip 7264:Určení editoru pro texty multiodkazů (MODKAZ).
Tip 7763:Multiodkaz se speciálním orámováním.
Tip 682:Jak se zbavit nepotřebných řídících znaků (přepínání) v textových entitách MTEXT?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,391 sekund.